Darwinia demo, Ubuntu edgy eft x64, libgtk

Problems with the Linux version of Darwinia

Moderators: bert_the_turtle, jelco, Chris, andy, John

Capslock118
level0
Posts: 4
Joined: Sun Apr 01, 2007 6:42 pm
Location: Olean, NY
Contact:

Darwinia demo, Ubuntu edgy eft x64, libgtk

Postby Capslock118 » Tue Apr 10, 2007 12:55 am

Hello,
I purchased defcon awhile back and it was a wonderful game. Thank you. Now I have went to try darwinia. I run Ubuntu edgy eft x64 edition and have tried to install the demo but get this error:

Code: Select all

joel@joel-desktop:/media/games/Darwinia-Linux$ sudo sh darwinia-demo2-1.3.0.shVerifying archive integrity... All good.
Uncompressing Darwinia demo2 1.3.0.......................................................................
/home/joel/.setup29116: error while loading shared libraries: libgtk-1.2.so.0: cannot open shared object file: No such file or directory
joel@joel-desktop:/media/games/Darwinia-Linux$


I searched this entire forum and beyond and have found others with similar problems but all I have found was people saying install libgtk-1.2 or others just plain quit trying

well......

Code: Select all

joel@joel-desktop:/media/games/Darwinia-Linux$ sudo apt-get install libgtk1.2Reading package lists... Done
Building dependency tree       
Reading state information... Done
libgtk1.2 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
joel@joel-desktop:/media/games/Darwinia-Linux$



so what is my solution? I cant seem to find an answer....

I did find someone suggestion moving a libgtk file to lib32 folder but I am unsure where i would start with that.

Thanks for any help guys
Admiral Frosty
level0
Posts: 1
Joined: Tue May 01, 2007 3:09 pm

Postby Admiral Frosty » Tue May 01, 2007 3:13 pm

Yeah, I have the same thing. It drives me nuts.
aegnor
level0
Posts: 1
Joined: Thu Feb 21, 2008 11:42 pm

Postby aegnor » Thu Feb 21, 2008 11:44 pm

me2 ... has nobody a good hint?
User avatar
frenchfrog
level5
level5
Posts: 2572
Joined: Sun Sep 22, 2002 7:11 pm
Location: Quebec

Postby frenchfrog » Sat Feb 23, 2008 12:58 am

Don't have a 64 bits Linux install here, but perhaps you need to 32 bits version of GTK 1.

Worse case simply extract the files from the installer? INSTALLER_NAME.sh --noexec --nox11 --target darwinia

Please post back if it works.
The Ultimate Uplink Guide (for any question on Uplink)
Latest Uplink Patch
User avatar
zach
level5
level5
Posts: 1350
Joined: Wed Jun 30, 2004 1:21 pm
Location: Denmarkia
Contact:

Postby zach » Sun Jul 20, 2008 11:02 am

Apparently, Hemebond has had trouble registering here, so I am (fittingly) relaying some internet relay chat messages that should help solve the problem;
Hemebond, on #darwinia wrote:I got the demo running on Ubuntu 8.04 AMD64.
sudo aptitude install ia32-libs
Then go to http://ubuntuforums.org/showthread.php?t=474790 and download and install the getlibs package.
getlibs libgtk-1.2.so.0
getlibs -p libglib1.2ldbl
Then, since I'd already extracted the installer with "--noexec --nox11 --target darwinia" switches
I ran ~/darwinia/setup.sh
And it installed.
getlibs libgcc_s.so.1
mv libgcc_s.so.1 libgcc_s.so.1.old
ln -s /usr/lib32/libgcc_s.so.1 ./libgcc_s.so.1
er, that's in the ~/darwinia/demo2/lib/ directory
Ah, turns out you can just delete libgcc_s.so.1 from the ./darwinia/lib/ directory.

Return to “Linux Issues”

Who is online

Users browsing this forum: No registered users and 1 guest